<!-- original source by http://cookxml.sourceforge.net/cookswt/xml/layoutdemo.xml -->
<shell style="SHELL_TRIM | TOOL" text="Hello, Zeta! 3" size="320,240">
	<filllayout type="VERTICAL">
		<tabfolder>
			<tabitem text="FillLayout">
				<composite>
					<filllayout type="VERTICAL">
						<group style="SHADOW_ETCHED_IN" text="HORIZONTAL">
							<filllayout type="HORIZONTAL" spacing="5" marginheight="5" marginwidth="5">
								<button text="1"/>
								<button text="2"/>
								<button text="3"/>
		
								<button text="4"/>
							</filllayout>
						</group>
						<group style="SHADOW_ETCHED_IN" text="VERTICAL">
							<filllayout type="VERTICAL" spacing="5" marginheight="5" marginwidth="5">
								<button text="1"/>
								<button text="2"/>
								<button text="3"/>
								<button text="4"/>
							</filllayout>
						</group>
					</filllayout>
				</composite>
			</tabitem>
			<tabitem text="FormLayout">
				<composite>
					<formlayout>
						<label id="button_1" text="this is"/>
		
						<!-- SWT Text is renamed to textarea tag to avoid a conflict with common text tags -->
						<textarea id="button_2" text="for gui builders only" style="READ_ONLY | BORDER"/>
						<textarea id="button_3" text="extra extra long long long .......... field" style="READ_ONLY | BORDER"/>
		
						<!-- FormLayout is the like SpringLayout, only slightly easier to use, but
							 somewhat less control -->
						<formdata>
							<formattachment setas="left" numerator="0" offset="5"/>
							<formattachment setas="right" numerator="25" offset="0"/>
							<idref ctor="button_1"/>
		
						</formdata>
		
						<formdata>
							<formattachment setas="left" offset="5">
								<idref ctor="button_1"/>
							</formattachment>
							<formattachment setas="right" numerator="100" offset="-5"/>
							<idref ctor="button_2"/>
						</formdata>
		
						<formdata>
							<formattachment setas="top" offset="5">
								<idref ctor="button_2"/>
							</formattachment>
							<formattachment setas="bottom" numerator="100" offset="-5"/>
							<formattachment setas="right" numerator="100" offset="-5"/>
							<formattachment setas="left" numerator="0" offset="5"/>
							<idref ctor="button_3"/>
		
						</formdata>
		
					</formlayout>
				</composite>
			</tabitem>
			<tabitem text="GridLayout">
				<composite>
					<gridlayout numcolumns="2" horizontalspacing="5" verticalspacing="5" marginheight="5" marginwidth="5">
						<griddata grabexcesshorizontalspace="true" horizontalalignment="BEGINNING">
		
							<button text="BEGINNING"/>
						</griddata>
						<griddata grabexcesshorizontalspace="true" horizontalalignment="CENTER">
							<button text="CENTER"/>
						</griddata>
						<griddata grabexcesshorizontalspace="true" horizontalalignment="END">
							<button text="END"/>
						</griddata>
						<griddata grabexcesshorizontalspace="true" horizontalalignment="FILL">
		
							<button text="FILL"/>
						</griddata>
						<griddata style="VERTICAL_ALIGN_FILL | HORIZONTAL_ALIGN_CENTER" horizontalspan="2">
							<button text="VERTICAL_ALIGN_FILL | HORIZONTAL_ALIGN_CENTER horizontalspan=2"/>
						</griddata>
						<griddata style="FILL_BOTH">
							<button text="FILL_BOTH"/>
						</griddata>
						<griddata style="FILL_BOTH">
		
							<button text="FILL_BOTH"/>
						</griddata>
					</gridlayout>
				</composite>
			</tabitem>
			<tabitem text="RowLayout">
				<composite>
					<filllayout type="VERTICAL">
						<group style="SHADOW_ETCHED_IN" text="HORIZONTAL">
		
							<rowlayout type="HORIZONTAL" spacing="5" marginheight="5" marginwidth="5">
								<rowdata width="50" height="50">
									<button text="1"/>
								</rowdata>
								<button text="2"/>
								<button text="3"/>
								<button text="4"/>
							</rowlayout>
						</group>
		
						<group style="SHADOW_ETCHED_IN" text="VERTICAL">
							<rowlayout type="VERTICAL" spacing="5" marginheight="5" marginwidth="5">
								<rowdata width="50" height="50">
									<button text="1"/>
								</rowdata>
								<button text="2"/>
								<button text="3"/>
								<button text="4"/>
							</rowlayout>
		
						</group>
					</filllayout>
				</composite>
			</tabitem>
			<tabitem text="StackLayout">
				<composite>
					<stacklayout>
						<button text="1"/>
						<button setas="topcontrol" text="2"/>
		
						<button text="3"/>
						<button text="4"/>
					</stacklayout>
				</composite>
			</tabitem>
		</tabfolder>
	</filllayout>
</shell>
